Bug 29126 - Accessibility: More corrections to contrast in the OPAC
Summary: Accessibility: More corrections to contrast in the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: accessibility
Depends on:
Blocks: 28188
  Show dependency treegraph
 
Reported: 2021-09-27 16:00 UTC by Owen Leonard
Modified: 2021-10-29 14:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29126: Accessibility: More corrections to contrast in the OPAC (4.25 KB, patch)
2021-09-27 16:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29126: Accessibility: More corrections to contrast in the OPAC (4.41 KB, patch)
2021-10-12 07:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 29126: Accessibility: More corrections to contrast in the OPAC (4.39 KB, patch)
2021-10-12 08:08 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
White on grey suspend links in holds list (133.33 KB, image/png)
2021-10-19 22:06 UTC, Katrin Fischer
Details
Bug 29126: (follow-up) Correct color of btn-link class in striped tables (769 bytes, patch)
2021-10-21 11:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29126: Accessibility: More corrections to contrast in the OPAC (4.48 KB, patch)
2021-10-24 12:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29126: (follow-up) Correct color of btn-link class in striped tables (826 bytes, patch)
2021-10-24 12:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-27 16:00:03 UTC
I've done some more checking for contrast problems in the OPAC and will submit a patch with various corrections.
Comment 1 Owen Leonard 2021-09-27 16:24:41 UTC Comment hidden (obsolete)
Comment 2 Jérémy Breuillard 2021-10-11 08:48:16 UTC
Patch applied and changes checked
Comment 3 Julian Maurice 2021-10-12 07:51:26 UTC Comment hidden (obsolete)
Comment 4 Jérémy Breuillard 2021-10-12 08:08:55 UTC
Created attachment 126054 [details] [review]
Bug 29126: Accessibility: More corrections to contrast in the OPAC

This patch makes a few more corrections to OPAC CSS in order to avoid
having elements which lack sufficient contrast, in particular parts of
the interface where a standard-colored link appears on a darker
background.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

Check the following pages/areas:

- Breadcrumbs navigation
- Datatables buttons (on the "Your summary" page)
- Bibliographic view tabs (Normal/MARC/ISBD) on the bibliographic detail
  pages.
- "Action" menu on the bibliographic detail pages: Place hold, print,
  etc.
- Links inside "striped" tables: Links on the alternate grey background
  are darker to increase contrast.
- Sidebar links on user pages: Your summary, your charges, etc.
- Tag cloud: Approved tags in the weighted list.

Signed-off-by: Jérémy Breuillard <jeremy.breuillard@biblibre.com>
Comment 5 Katrin Fischer 2021-10-19 22:06:40 UTC
Created attachment 126555 [details]
White on grey suspend links in holds list
Comment 6 Katrin Fischer 2021-10-19 22:07:48 UTC
Hi Owen, something is not quite right on My summary > holds in the OPAC, see screenshot. I ran the yarn build --view opac and restart_all.
Comment 7 Owen Leonard 2021-10-21 11:19:23 UTC
Created attachment 126661 [details] [review]
Bug 29126: (follow-up) Correct color of btn-link class in striped tables
Comment 8 Katrin Fischer 2021-10-24 12:02:19 UTC
The previous issue has went away, thx for the follow-up!

I notice that we are now using 2 different "blues" for lighter and darker background.

Example:
http://localhost:8080/cgi-bin/koha/opac-readingrecord.pl

* Links in the tabbed navigation on the left (#006394)
* Table export options etc. on top of the table or "titles" in the table on dark background(#005580)
Comment 9 Katrin Fischer 2021-10-24 12:04:13 UTC
Created attachment 126808 [details] [review]
Bug 29126: Accessibility: More corrections to contrast in the OPAC

This patch makes a few more corrections to OPAC CSS in order to avoid
having elements which lack sufficient contrast, in particular parts of
the interface where a standard-colored link appears on a darker
background.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

Check the following pages/areas:

- Breadcrumbs navigation
- Datatables buttons (on the "Your summary" page)
- Bibliographic view tabs (Normal/MARC/ISBD) on the bibliographic detail
  pages.
- "Action" menu on the bibliographic detail pages: Place hold, print,
  etc.
- Links inside "striped" tables: Links on the alternate grey background
  are darker to increase contrast.
- Sidebar links on user pages: Your summary, your charges, etc.
- Tag cloud: Approved tags in the weighted list.

Signed-off-by: Jérémy Breuillard <jeremy.breuillard@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2021-10-24 12:04:17 UTC
Created attachment 126809 [details] [review]
Bug 29126: (follow-up) Correct color of btn-link class in striped tables

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Jonathan Druart 2021-10-25 13:58:40 UTC
Pushed to master for 21.11, thanks to everybody involved!